<template>
  <section class="menu">
    <a-menu v-model="current" mode="horizontal">
      <a-menu-item key="home"> <a-icon type="home" /> Home </a-menu-item>
      <a-menu-item key="about"> <a-icon type="user" /> About </a-menu-item>
      <a-menu-item key="todo"> <a-icon type="unordered-list" /> To Do List </a-menu-item>
      <a-menu-item key="contact"> <a-icon type="contacts" /> Contact </a-menu-item>
    </a-menu>
  </section>
</template>

<script>
  import { Menu, Icon } from "ant-design-vue";

  export default {
    name: 'Header',
    components: {
      'a-menu': Menu,
      'a-menu-item': Menu.Item,
      'a-icon': Icon,
    },
    data() {
      return {
        current: ['todo'],
      };
    },
  }
</script>

<style scoped>
  .menu {
    margin-bottom: 2rem;
  }
</style>
